AssertionViolation (Groovy 4.0.15)
Description: declaration: package: org.apache.groovy.contracts, class: AssertionViolation

Package org.apache.groovy.contracts

# Class AssertionViolation

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.AssertionError
org.apache.groovy.contracts.AssertionViolation

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ClassInvariantViolation`, `PostconditionViolation`, `PreconditionViolation`

public abstract class AssertionViolation extends AssertionError

Abstract base class for all assertion violations.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AssertionViolation()`
  `protected`
  `AssertionViolation(boolean b)`
  `protected`
  `AssertionViolation(char c)`
  `protected`
  `AssertionViolation(double v)`
  `protected`
  `AssertionViolation(float v)`
  `protected`
  `AssertionViolation(int i)`
  `protected`
  `AssertionViolation(long l)`
  `protected`
  `AssertionViolation(Object o)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AssertionViolation

    protected AssertionViolation()

  - ### AssertionViolation

    protected AssertionViolation(Object o)

  - ### AssertionViolation

    protected AssertionViolation(boolean b)

  - ### AssertionViolation

    protected AssertionViolation(char c)

  - ### AssertionViolation

    protected AssertionViolation(int i)

  - ### AssertionViolation

    protected AssertionViolation(long l)

  - ### AssertionViolation

    protected AssertionViolation(float v)

  - ### AssertionViolation

    protected AssertionViolation(double v)